> For the complete documentation index, see [llms.txt](https://docs.omnata.com/omnata-product-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omnata.com/omnata-product-documentation/omnata-sync-for-snowflake/apps/slack.md).

# Slack

## Authentication methods

#### OAuth (User Created)

This method uses your own Slack App to authorize access, and is the most secure method since your own OAuth credentials are used.

To create an app:

1. Visit <https://api.slack.com/apps/>
2. Click "Create New App"
3. Click "From an app manifest"
4. Select your workspace
5. Complete the below app manifest template and paste it in:

{% hint style="info" %}
If you're unsure what value to for the redirect URI, the following Snowflake query will construct it for your account:\
\
`select 'https://'||get(parse_json(SYSTEM$allowlist()),0):"host"::varchar||'/oauth/complete-secret' as REDIRECT_URL;`
{% endhint %}

{% code fullWidth="true" %}

```json
{
    "display_information": {
        "name": "Omnata Sync"
    },
    "features": {
        "bot_user": {
            "display_name": "Omnata Sync",
            "always_online": false
        }
    },
    "oauth_config": {
        "redirect_urls": [
            "redirect URI of the form https://apps-api.c1.<region>.<cloud-vendor>.app.snowflake.com/oauth/complete-secret"
        ],
        "scopes": {
            "bot": [
                "chat:write",
                "users:read.email",
                "users:read"
            ]
        }
    },
    "settings": {
        "org_deploy_enabled": false,
        "socket_mode_enabled": false,
        "token_rotation_enabled": false
    }
}
```

{% endcode %}

6. Click Next, then Create
7. Click the "Install to Workspace" button
8. Click "Allow" on the consent screen
9. Note the Client ID and Client Secret so that you can provide them when configuring the Omnata connection\
   ![](/files/33baoZZ5KiinRJWAM4Oh)
10. For each Slack channel you want to be able to include in syncs, invite the app bot like so:\
    `/invite @omnata_sync`

## Inbound Syncs

The following are available as inbound streams:

* [conversations\_list](https://api.slack.com/methods/conversations.list) (Full Refresh only)

## Outbound syncs

### Supported Targets

With the Slack app, you can post a message into a designated channel for every source record created in Snowflake.

### Supported Sync Strategies

* Create (as an event-based system, this is the only sensible option)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omnata.com/omnata-product-documentation/omnata-sync-for-snowflake/apps/slack.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
